Retrieve a single media asset by ID.
cURL
curl --request GET \ --url https://api.marblecms.com/v1/media/{id} \ --header 'Authorization: <api-key>'
{ "media": { "id": "cryitfjp1234jl04vdnycek8", "name": "Hero image", "url": "https://cdn.marblecms.com/media/hero.jpg", "alt": "A dashboard screenshot", "size": 382019, "mimeType": "image/jpeg", "width": 1600, "height": 900, "duration": 12000, "blurHash": "LEHV6nWB2yk8pyo0adR*.7kCMdnj", "type": "image", "createdAt": "2024-01-15T10:00:00Z", "updatedAt": "2024-01-16T12:00:00Z" } }
Documentation IndexFetch the complete documentation index at: https://docs.marblecms.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.marblecms.com/llms.txt
Use this file to discover all available pages before exploring further.
Your Marble API key
Media asset ID
"cryitfjp1234jl04vdnycek8"
Media asset retrieved successfully
Show child attributes
Was this page helpful?